Update Named Credential Control Grant

Update Named Credential Control Grant
Updates the specified access-control grant.

Updates the specified access-control grant.

Request
URI
PUT
https://{api_host}/cloudapi/1.0.0/namedCredentials/{namedCredentialId}/accessControls/{accessControlId}
COPY
Path Parameters
string
accessControlId
Required

accessControlId

string
namedCredentialId
Required

id of the namedCredential


Request Body
AccessControlGrant of type(s) application/json
Optional

Show optional properties

{
    "grantType": "string",
    "accessLevelId": "urn:vcloud:accessLevel:xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"
}
{
    "id": "string",
    "tenant": {
        "name": "string",
        "id": "string"
    },
    "grantType": "string",
    "objectId": "string",
    "accessLevelId": "urn:vcloud:accessLevel:xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"
}
Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns AccessControlGrant of type(s) application/json;version=9.1.0
{
    "id": "string",
    "tenant": {
        "name": "string",
        "id": "string"
    },
    "grantType": "string",
    "objectId": "string",
    "accessLevelId": "urn:vcloud:accessLevel:xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"
}

Code Samples
COPY
                    curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"accessLevelId":"string","grantType":"string"}' https://{api_host}/cloudapi/1.0.0/namedCredentials/{namedCredentialId}/accessControls/{accessControlId}